import { baseRequest } from '@/utils/request'
const request = (url, ...arg) => baseRequest(`/openGovernment/ogAdministrativeDocument/` + url, ...arg)
export default {
	// 行政规范性文件管理
	documentPage(data) {
		return request('page', data, 'get')
	},
	//启用禁用delete
	documentType(data) {
		return request('enableAndDisable', data, 'post')
	},
	//add
	documentAdd(data) {
		return request('add', data, 'post')
	},
	//view
	documentView(data) {
		return request('detail', data, 'get')
	},
	// edit
	documentEdit(data) {
		return request('edit', data, 'post')
	},
	// 删除
	documentDel(data) {
		return request('delete', data, 'post')
	}
}
